Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class ProcessInstanceDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.ProcessInstanceDesc

All Implemented Interfaces:
  Serializable, ProcessInstanceDesc

    public class ProcessInstanceDesc

extends Object
implements ProcessInstanceDesc, Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceDesc()`
`ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getDeploymentId()`
`Long` | `getId()`
`String` | `getInitiator()`
`String` | `getProcessId()`
`String` | `getProcessName()`
`String` | `getProcessVersion()`
`Integer` | `getState()`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setInitiator(String initiator)`
`void` | `setState(int state)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceDesc

    public ProcessInstanceDesc()

### ProcessInstanceDesc

    public ProcessInstanceDesc(long id,
                               String processId,
                               String processName,
                               String processVersion,
                               int state,
                               String deploymentId,
                               Date dataTimeStamp,
                               String initiator)

Method Detail

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `ProcessInstanceDesc`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `ProcessInstanceDesc`

### getProcessName

    public String getProcessName()

  Specified by:
    `getProcessName` in interface `ProcessInstanceDesc`

### getState

    public Integer getState()

  Specified by:
    `getState` in interface `ProcessInstanceDesc`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `ProcessInstanceDesc`

### getDataTimeStamp

    public Date getDataTimeStamp()

  Specified by:
    `getDataTimeStamp` in interface `ProcessInstanceDesc`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProcessVersion

    public String getProcessVersion()

  Specified by:
    `getProcessVersion` in interface `ProcessInstanceDesc`

### setState

    public void setState(int state)

### getInitiator

    public String getInitiator()

  Specified by:
    `getInitiator` in interface `ProcessInstanceDesc`

### setInitiator

    public void setInitiator(String initiator)

### setDeploymentId

    public void setDeploymentId(String deploymentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.